aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2016-10-26 14:20:28 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2016-10-26 14:20:28 +0000
commit0ac3ff93eb91c30a121b8531dc9d6c2977659286 (patch)
treefc97ca949c9853be2bc2f2ad1f084bc98eedc724
parentea4d5965742ab6a677a766139b4fd5ec6ee97086 (diff)
downloadaports-0ac3ff93eb91c30a121b8531dc9d6c2977659286.tar.gz
aports-0ac3ff93eb91c30a121b8531dc9d6c2977659286.tar.bz2
aports-0ac3ff93eb91c30a121b8531dc9d6c2977659286.tar.xz
main/perl-list-someutils-xs: new aport
needed by perl-list-someutils
-rw-r--r--main/perl-list-someutils-xs/APKBUILD42
1 files changed, 42 insertions, 0 deletions
diff --git a/main/perl-list-someutils-xs/APKBUILD b/main/perl-list-someutils-xs/APKBUILD
new file mode 100644
index 0000000000..699d2cd7ff
--- /dev/null
+++ b/main/perl-list-someutils-xs/APKBUILD
@@ -0,0 +1,42 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Natanael Copa <ncopa@alpinelinux.org>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=perl-list-someutils-xs
+_pkgreal=List-SomeUtils-XS
+pkgver=0.52
+pkgrel=0
+pkgdesc="XS implementation for List::SomeUtils"
+url="http://search.cpan.org/dist/List-SomeUtils-XS/"
+arch="all"
+license="Artistic-2"
+cpandepends=""
+cpanmakedepends=" perl-test-leaktrace perl-test-warnings "
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/D/DR/DROLSKY/$_pkgreal-$pkgver.tar.gz"
+builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+ default_prepare || return 1
+
+ cd "$builddir"
+ export CFLAGS=$(perl -MConfig -E 'say $Config{ccflags}')
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+ cd "$builddir"
+ export CFLAGS=$(perl -MConfig -E 'say $Config{ccflags}')
+ make && make test
+}
+
+package() {
+ cd "$builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="749b1539caee78a2299d53a3bebb927c List-SomeUtils-XS-0.52.tar.gz"
+sha256sums="e0e43c393283c15d8d447c4797102193a2c3543a20f6a014dd8aced0a843f4e1 List-SomeUtils-XS-0.52.tar.gz"
+sha512sums="871d492a0ec019d56ecb5a02d0bb362462b52b08cc3ea5b95f58125009e6cca83ae77b3b877152885c8a24c36e438616051b61058a67b212c2dd9fa51ccf7ff9 List-SomeUtils-XS-0.52.tar.gz"